לדלג לתוכן

מדיה ויקי:Common.css: הבדלים בין גרסאות בדף

מתוך צפונות ויקי
איש לא מתלונן על הסמל יותר משנה
מ שוחזר מעריכות של Amire80 (שיחה) לעריכה האחרונה של ערן
שורה 1: שורה 1:
/* replace logo temporarily until a free readable professional-like font is found or created */
#p-logo a {
background-image: url('http://upload.wikimedia.org/wikipedia/he/thumb/e/e6/New_logo_Culmus_David.svg/135px-New_logo_Culmus_David.svg.png') !important;
}
/* פתרון לקישורי "עריכה" גולשים */
/* פתרון לקישורי "עריכה" גולשים */
h1, h2, h3, h4, h5, h6 {   
h1, h2, h3, h4, h5, h6 {   

גרסה מ־21:48, 27 ביולי 2011

/* replace logo temporarily until a free readable professional-like font is found or created */
#p-logo a {
background-image: url('http://upload.wikimedia.org/wikipedia/he/thumb/e/e6/New_logo_Culmus_David.svg/135px-New_logo_Culmus_David.svg.png') !important;
}

/* פתרון לקישורי "עריכה" גולשים */
h1, h2, h3, h4, h5, h6 {  
  overflow: hidden;
}

/* הוקוס פוקוס שהספאנים של הניקוד (ב[[מדיה ויקי:Edittools]] יראו "כמו קישורים" מוגדלים, ובמעבר מעליהם שיגדלו כדי שניתן יהיה לזהות ביתר קלות את תווי הניקוד */
span.nikud {
  color: #002bb8;
  cursor: pointer;
  font-size:125%;
}

span.nikud:hover {
  font-size:175%;
}

body.page-עמוד_ראשי div.floatleft { margin-right: 15px; margin-bottom: 15px;}

/* הסתרת שורת הכותרת בעמוד הראשי */
.page-עמוד_ראשי #firstHeading {
  display : none !important;
}

/* תיקון דף מיוחד:העלאה בשימוש הוגן - מצמיד את התיבות לימין */
.page-מיוחד_העלאה #content,
.page-מיוחד_העלאה #column-one
{
  direction : rtl !important;
}

/* קיצור תיבת התקציר - כדי שלא תתנגש עם התיבות בצד שמאל */
input#wpSummary {
    width: 60%;
}

/* קיצור ה-Site notice כדי שלא יתנגש עם הקואורדינטות */
table#mw-dismissable-notice {
    width: 80%;
}

/* תיקון תצוגת גלריות */
table.gallery {
    clear: both;
}

/* ביטול קווים מתחת לקישורים בתווים מיוחדים */
div#editpage-specialchars a {
    text-decoration: none;
}
div#editpage-specialchars a:hover {
    text-decoration: underline;
}

/* מרכוז הטקסט לאמצע בהודעה למשתמש */
.usermessage {
    vertical-align: middle;
}

/* הדגשת הודעות שגיאה */
p.error {
    font-weight: bold;
}

/* הקטנת גודל הטקסט בהערות שוליים */
.references {
    font-size: 90%;
}

/* הדגשת ההערה שנלחץ קישור אליה באמצעות צבע הרקע, כדי להקל על הניווט */
ol.references > li:target {
    background-color: #DEF;
}
sup.reference:target { 
    background-color: #DEF;
}

/* הגדלה של הטקסט בשורה "מקור" בתחתית כל דף */
span#URLSource {
    direction: ltr;
    font-size: 1.2em;
    font-weight: bold;
}

/* שינוי מראה השוואת הגרסאות, מוויקיפדיה בצרפתית */
table.diff {
    padding: 0.5em;
}
td.diff-addedline {
    background-color: #D8E4F6; 
}
td.diff-addedline span.diffchange {
    background-color: #B0C0F0;
    color: #001040;
    font-weight: bold;
}
td.diff-deletedline {
    background-color: #E4F6D8;
}
td.diff-deletedline span.diffchange {
    background-color: #B0E897;
    color: #104000;
    font-weight: bold;
}

/* הצגת ההערה על כך שהתמונה משותפת או מתנגשת עם תמונה משותפת בכתב רגיל */
div.sharedUploadNotice, div#shared-image-dup, div#shared-image-conflict {
    font-style: normal;
}

/* הצגת תיאור התמונה המשותפת משמאל לימין */
div#shared-image-desc {
    direction: ltr;
}

/* הפיכת הצבע של הפניות ב"מיוחד:כל הדפים" לאפור */
div.allpagesredirect a {
    color: #7F7F7F;
}

/* הדגשת הקישור לכל השפות בסוף רשימת האינטרוויקי בעמוד הראשי */
li#interwiki-completelist {
    font-weight: bold;
}

/* תמיכה בתבניות IPA, Unicode ו-Polytonic. הצהרת ה-inherit מאפסת את הגופן בכל הדפדפנים מלבד אינטרנט אקספלורר 6. ההערה הריקה חייבת להישאר. */
.IPA {
    font-family: Chrysanthi Unicode, Doulos SIL, Gentium, GentiumAlt, Code2000, TITUS Cyberbit Basic, DejaVu Sans, Bitstream Cyberbit, Arial Unicode MS, Lucida Sans Unicode, Hiragino Kaku Gothic Pro, Matrix Unicode;
}
.Unicode {
    font-family: Code2000, TITUS Cyberbit Basic, Doulos SIL, Chrysanthi Unicode, Bitstream Cyberbit, Bitstream CyberBase, Thryomanes, Gentium, GentiumAlt, Visual Geez Unicode, Lucida Grande, Arial Unicode MS, Microsoft Sans Serif, Lucida Sans Unicode;
    font-family /**/:inherit;
}
.latinx {
    font-family: Code2000, TITUS Cyberbit Basic, Microsoft Sans Serif;
    font-family /**/:inherit;
}
.polytonic {
    font-family: Athena, Gentium, Palatino Linotype, Arial Unicode MS, Lucida Sans Unicode, Lucida Grande, Code2000; 
    font-family /**/:inherit;
}
.mufi {
    font-family: Alphabetum, Cardo, LeedsUni, Junicode, TITUS Cyberbit Basic, ALPHA-Demo;
}

/* קישור (טקסט או תמונה) בראש הדף, ליד הכותרת */
div.toplink div {
    position: static !important;
}

/* מחלקות wikitable ו-prettytable לטבלאות, מבוסס על ויקיפדיה האנגלית */
table.wikitable, table.prettytable {
    background-color: #F9F9F9;
    border: 1px #aaaaaa solid;
    border-collapse: collapse;
    margin: 1em 1em 1em 0;
}
table.wikitable th, table.wikitable td, table.prettytable th, table.prettytable td {
    border: 1px #aaaaaa solid;
    padding: 0.2em;
}
table.wikitable th, table.prettytable th {
    background-color: #F2F2F2;
    text-align: center;
}
table.wikitable caption, table.prettytable caption {
    margin-left: inherit;
    margin-right: inherit;
    font-weight: bold;
}
table.prettytable code, table.wikitable code {
    background-color: transparent;
}

/* עיצוב infobox מוויקיפדיה באנגלית */
.infobox {
    border: 1px solid #aaaaaa;
    background-color: #f9f9f9;
    color: black;
    margin-bottom: 0.5em;
    margin-right: 1em;
    padding: 0.2em;
    float: left;
    clear: left;
}
.infobox td, .infobox th {
    vertical-align: top;
}
.infobox caption {
    font-size: larger;
    margin-left: inherit;
}
.infobox.bordered {
    border-collapse: collapse;
}
.infobox.bordered td, .infobox.bordered th {
    border: 1px solid #aaaaaa;
}
.infobox.bordered .borderless td, .infobox.bordered .borderless th {
    border: 0;
}
.infobox.iGray th {
    background-color: #DFDFDF;
    text-align: right;
    font-weight: normal;
}
.infobox.iPink th {
    background-color: #FFB2B2;
    text-align: right;
    font-weight: normal;
}
.infobox.iOrange th {
    background-color: #FFCFB2;
    text-align: right;
    font-weight: normal;
}
.infobox.iYellow th {
    background-color: #F6FFB2;
    text-align: right;
    font-weight: normal;
}
.infobox.iOlive th {
    background-color: #D9FFB2;
    text-align: right;
    font-weight: normal;
}
.infobox.iGreen th {
    background-color: #BDFFB2;
    text-align: right;
    font-weight: normal;
}
.infobox.iBlue th {
    background-color: #B2C6FF;
    text-align: right;
    font-weight: normal;
}
.infobox.iPurple th {
    background-color: #BBB2FF;
    text-align: right;
    font-weight: normal;
}
.infobox.iLightPurple th {
    background-color: #D9B2FF;
    text-align: right;
    font-weight: normal;
}
.infobox.iBrown th {
    background-color: #E7DCC4;
    text-align: right;
    font-weight: normal;
}
.infobox.iDarkKhaki th {
    background-color: #BDB76B;
    text-align: right;
    font-weight: normal;
}
.infobox.iKhaki th {
    background-color: #F0E68C;
    text-align: right;
    font-weight: normal;
}
.infobox.iGold th {
    background-color: #FFD700;
    text-align: right;
    font-weight: normal;
}
.infobox.iDarkGold th {
    background-color: #DAA520;
    text-align: right;
    font-weight: normal;
}
.infobox.iSilver th {
    background-color: #C0C0C0;
    text-align: right;
    font-weight: normal;
}

/* תיבות ניווט (כלומר, תיבות המסתירות חלקים מעצמן) מוויקיפדיה בגרמנית */
div.Boxmerge, div.NavFrame {
    border-collapse: collapse;
    border: 1px #aaaaaa solid;
    font-size: 95%;
    margin: 0px;
    padding: 2px;
    text-align: center;
}
div.Boxmerge div.NavFrame {
    border-style: none;
    border-style: hidden;
}
div.NavFrame + div.NavFrame {
    border-top-style: none;
    border-top-style: hidden;
}
div.NavPic {
    background-color: #FFFFFF;
    float: left;
    margin: 0px;
    margin-top: 0.5em;
    padding: 2px;
}
div.NavFrame div.NavHead {
    background-color: #ccccff;
    font-size: 100%;
    font-weight: bold;
    height: 1.6em;
    position: relative;
}
div.NavFrame p {
    font-size: 100%;
}
div.NavFrame div.NavContent {
    font-size: 100%;
}
div.NavFrame div.NavContent p {
    font-size: 100%;
}
div.NavEnd {
    clear: both;
    line-height: 1px;
    margin: 0px;
    padding: 0px;
}
a.NavToggle {
    font-size: 80%;
    font-weight: normal;
    left: 3px;
    position: absolute;
    top: 0px;
}

/* טבלאות ניווט */
table.navbox {
    background-color: #f9f9f9;
    border: 1px solid #aaa;
    clear: both;
    font-size: 90%;
    margin: 1em 0em 0em;
    padding: 2px;
    text-align: center;
    width: 100%;
}
table.navbox th {
    background-color: #ccf;
}
@media print {
    .navbox {
        display: none;
    }
   /*הסרת טיפ להפניה לדף השיחה בהדפסה*/
    .annontalktip{
     display:none;
    }
}

/*הגדרות עבור תבנית:לשוניות*/
@media screen{
    .loadingTabsTemplate{
        display: block;
    }

    .tabsTemplate{
     display:none;
    }
}

/* הקטנת הריווח בין האותיות, כדי לפתור (חלקית) את בעיית הניקוד */
body {
    letter-spacing: 0.001em;
}

/* עקיפת בעיית הקטגוריות הבלתי לחיצות אם יש קטגוריה עם מספר, באינטרנט אקספלורר 6.0 */
* html div#catlinks {
    position: static;
}

/* תיקון דף הכניסה */
#userlogin {
    float: none !important;
}

/* שינויי הדפסה */
@media print {
    /* ביטול השורה האוטומטית "מקור:", משום שהיא מציגה את ה-URL עם אחוזים וסימנים מוזרים, ויש כבר את השורה הרגילה והשפויה יותר */
    .printfooter {
        display: none;
    }
}

/* הוספת תמונת רמקול עבור קישור מדיה, אך הסרתו במוזילה כיוון שאינו מוצג שם כראוי */
.audiolink a {
    background: url("http://upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Loudspeaker.svg/11px-Loudspeaker.svg.png") center right no-repeat !important;
    padding-left: 16px !important;
    padding-right: 0 !important;
}
@-moz-document domain(wikipedia.org) {
    .audiolink a {
       padding-left: 0 !important;
       padding-right:  12px !important;
       display:inline-block;
    }
}

/* צביעת המספרים שבדף השינויים האחרונים וברשימת המעקב */
.mw-plusminus-pos {
    color: #006400;
}

.mw-plusminus-neg {
    color: #8B0000;
}

/* צביעת הקישור לדף חדש שבדף השינויים והאחרונים וברשימת המעקב */
.newpage {
    background-color: #FF0000;
    color: #FFFFFF;
}

/* עיצוב לטקסט אפור, כולל קישורים אפורים */
.grayText, .grayText a, .grayText a.stub {
    color: #999999;
}

/* ביטול כתב נטוי בעץ הקטגוריות */
.CategoryTreeLabelPage, .CategoryTreeParents, .CategoryTreeNotice {
    font-style: normal;
}

/* אפשרות להסתרה של כותרות בתוכן העניינים החל מרמה מסוימת. למשל, <div class="toclimit-3">
יציג רק כותרות מהרמה השנייה והשלישית (כל עוד אין כותרות מרמה ראשונה בדף, כפי שדורשים מדריכי העיצוב) */
.toclimit-2 .toclevel-2, .toclimit-3 .toclevel-3, .toclimit-4 .toclevel-4, .toclimit-5 .toclevel-5, .toclimit-6 .toclevel-6, .toclimit-7 .toclevel-7 {
    display: none;
}

/* עיצוב ל[[מדיה ויקי:AlertProtected.j]] */
table.plprotected {
  border: 1px solid #AFAFAF;
  background-color: #FFFFFF;
  width: 75%;
  margin-top: 5px;
  margin-bottom: 5px;
  padding: .2em;
  text-align: center;
  clear: both;
}

td.plprotected {
  margin-right: 1em;
  margin-left: 1em;
  text-align: center;
  vertical-align: middle;
  width: 75px;
}

/*הסתרת אייקון של קישורים חיצוניים */
.external {
	padding: 0 !important;
	background: none !important;
}

/*  הצמדת הודעה בין-ויקמדית לימין */
.licensingvote_and_wm09schols {
  text-align: right !important;
}

/* הוספת רקע צהוב לתגים של מסנן ההשחתות */
.mw-tag-מחיקת-הודעה, .mw-tag-לחצנים, .mw-tag-ריקון, .mw-tag-אולטרה-קצרמר, .mw-tag-ריקון-שיחה, .mw-tag-דואל, .mw-tag-חזרות, .mw-tag-הסרת-קטגוריות, .mw-tag-מילים-בעייתיות, .mw-tag-אוהב, .mw-tag-חדש-למחיקה {
background-color: #FFEFE5;
}

/* הסתרת הכפתורים של כתב נטוי, קו אופקי ומדיה בסרגל הכלים */
#mw-editbutton-hr, #mw-editbutton-italic, #mw-editbutton-media{
display:none;
}

/* עיצוב תוצאות חיפוש של מיזמי אחות */
div#mw-search-interwiki { float: left; }
.mw-search-interwiki-project { text-align: right; }
.mw-search-interwiki-more { float: left; }


/*תיקון RTL לחיפוש עד שיתוקן בתוכנה*/
fieldset#mw-searchoptions > h4 {
	padding: 0;
	margin: 0;
	float: right;
}

fieldset#mw-searchoptions > div#mw-search-togglebox {
	float: left;
}

/* עבור [[תבנית:תיבת הודעה]] */
table.fmbox {
    clear: both;
    margin: 0.2em 0;
    width: 100%;
    border: 1px solid #aaa;
    background: #f9f9f9;     /* Default "system" gray */
}
table.fmbox-system {
    background: #f9f9f9;
}
table.fmbox-warning {
    border: 1px solid #bb7070;  /* Dark pink */
    background: #ffdbdb;        /* Pink */
}
table.fmbox-editnotice {
    background: transparent;
}

th.mbox-text, td.mbox-text {     /* The message body cell(s) */
    border: none; 
    padding: 0.25em 0.9em;       /* 0.9em left/right */
    width: 100%;    /* Make all mboxes the same width regardless of text length */
}
td.mbox-image {                  /* The left image cell */
    border: none; 
    padding: 2px 0.9em 2px 0;    /* 0.9em right, 0px left */
    text-align: center; 
}
td.mbox-imageright {             /* The right image cell */
    border: none;
    padding: 2px 0 2px 0.9em;    /* 0px right, 0.9em left */
    text-align: center; 
}
td.mbox-empty-cell {         /* An empty narrow cell */
    border: none;
    padding: 0px;
    width: 1px;
}

/* עיצוב הודעת המערכת הכללית של הקרן */
#table-cell-2 { text-align: right; padding-right: 1em; }

#pagehistory span.mw-revdelundel-link {
 display: none;
}

/* תיקון רשימת הגרסאות כדי שלא יתנגשו בכפתור "הצגת/הסתרת גרסאות" אצל מפעילים */
ul#pagehistory {
  clear: both;
}

button.mw-history-revisiondelete-button, input.mw-history-revisiondelete-button {
	font-size: 94%;
	cursor: pointer;
	height: 1.9em !important;
}

/* עיצוב של נוסחאות. */
.texhtml {
font-size:140%;
letter-spacing:1px;
line-height:1.5em;
direction: ltr; /* a workaround until Bug 28430 is fixed */
unicode-bidi: embed; /* a workaround until Bug 28430 is fixed */
}

/* יישור של כל התאים למעלה */
table.valigntop tr { vertical-align: top; }

/* זמני, עד שבאג 24190 יעודכן */
div#simpleSearch {
 	min-height: 1px;
}
/* הערות שוליים בעברית בין הערות שוליים באנגלית. יש לתת שם להערת השוליים שמתחיל בhebrewRTL */
li[id|="cite_note-hebrewRTL"] { direction:rtl; }
li[id|="cite_note-LTR"] { direction:ltr; }

/* הגבלת גובה תפריטים, והוספת SCROLL עבור תפריטים ארוכים */
.wikiEditor-ui-toolbar .group .tool-select .menu .options { overflow: auto; max-height: 30em; }
.wikiEditor-ui-toolbar .group .tool-select .options .option { padding: 0.5em 0.5em 0.5em 3em; }

/* עבור מונחון */
.wpAbbreviation{
border-bottom:1px dotted #696969;
cursor:help;
}

/* עיצוב לתיבת משוב */
#feedbackTextArea{height:16px;width:auto;overflow:auto;color:#999999;}
.feedbackWrapper{text-align:center; margin-top: 1em;}
.feedbackDiv{display:inline-block;background-color: #F9F9F9; border: 1px solid #CCCCCC;font-weight:bold;}
#feedbackTitle { width:250px;color:#999999; }
#feedbackHelpDiv{text-align:right;font-size:small;font-weight:normal;}
#loadFeedbackHelp{cursor:pointer;}
#feedbackSubmit {font-weight:normal;}